
SRC += $(SDK_SRC)/common/service/media/media.cpp
LAP_OBJS += $(OUTDIR)/obj/sdk_media.o
$(OUTDIR)/obj/sdk_media.o: $(SDK_SRC)/common/service/media/media.cpp

SRC += $(SDK_SRC)/common/service/media/ice.cpp
LAP_OBJS += $(OUTDIR)/obj/sdk_ice.o
$(OUTDIR)/obj/sdk_ice.o: $(SDK_SRC)/common/service/media/ice.cpp

SRC += $(SDK_SRC)/common/service/media/ice_stun.cpp
LAP_OBJS += $(OUTDIR)/obj/sdk_ice_stun.o
$(OUTDIR)/obj/sdk_ice_stun.o: $(SDK_SRC)/common/service/media/ice_stun.cpp

SRC += $(SDK_SRC)/common/service/media/turn.cpp
LAP_OBJS += $(OUTDIR)/obj/sdk_turn.o
$(OUTDIR)/obj/sdk_turn.o: $(SDK_SRC)/common/service/media/turn.cpp

SRC += $(SDK_SRC)/common/service/media/turn_stun.cpp
LAP_OBJS += $(OUTDIR)/obj/sdk_turn_stun.o
$(OUTDIR)/obj/sdk_turn_stun.o: $(SDK_SRC)/common/service/media/turn_stun.cpp

SRC += $(SDK_SRC)/common/service/media/sctp_rtc.cpp
LAP_OBJS += $(OUTDIR)/obj/sdk_sctp_rtc.o
$(OUTDIR)/obj/sdk_sctp_rtc.o: $(SDK_SRC)/common/service/media/sctp_rtc.cpp

ifndef __REMOTE_CONTROL_CLIENT__
SRC += $(SDK_SRC)/common/service/media/video_endpoint.cpp
LAP_OBJS += $(OUTDIR)/obj/sdk_video_endpoint.o
$(OUTDIR)/obj/sdk_video_endpoint.o: $(SDK_SRC)/common/service/media/video_endpoint.cpp
endif

ifndef __NO_VIDEO_IO__
SRC += $(SDK_SRC)/common/service/media/video_format_conversion.cpp
LAP_OBJS += $(OUTDIR)/obj/sdk_video_format_conversion.o
$(OUTDIR)/obj/sdk_video_format_conversion.o: $(SDK_SRC)/common/service/media/video_format_conversion.cpp

SRC += $(SDK_SRC)/common/service/media/video_io.cpp
LAP_OBJS += $(OUTDIR)/obj/sdk_video_io.o
$(OUTDIR)/obj/sdk_video_io.o: $(SDK_SRC)/common/service/media/video_io.cpp
endif

ifndef __REMOTE_CONTROL_CLIENT__
SRC += $(SDK_SRC)/common/service/media/audio_endpoint.cpp
LAP_OBJS += $(OUTDIR)/obj/sdk_audio_endpoint.o
$(OUTDIR)/obj/sdk_audio_endpoint.o: $(SDK_SRC)/common/service/media/audio_endpoint.cpp
endif

ifndef __NO_AUDIO_IO__
SRC += $(SDK_SRC)/common/service/media/jitter_buffer.cpp
LAP_OBJS += $(OUTDIR)/obj/sdk_jitter_buffer.o
$(OUTDIR)/obj/sdk_jitter_buffer.o: $(SDK_SRC)/common/service/media/jitter_buffer.cpp

SRC += $(SDK_SRC)/common/service/media/audio_io_channel.cpp
LAP_OBJS += $(OUTDIR)/obj/sdk_audio_io_channel.o
$(OUTDIR)/obj/sdk_audio_io_channel.o: $(SDK_SRC)/common/service/media/audio_io_channel.cpp

SRC += $(SDK_SRC)/common/service/media/audio_io.cpp
LAP_OBJS += $(OUTDIR)/obj/sdk_audio_io.o
$(OUTDIR)/obj/sdk_audio_io.o: $(SDK_SRC)/common/service/media/audio_io.cpp

SRC += $(SDK_SRC)/common/service/media/ringer_io.cpp
LAP_OBJS += $(OUTDIR)/obj/sdk_ringer_io.o
$(OUTDIR)/obj/sdk_ringer_io.o: $(SDK_SRC)/common/service/media/ringer_io.cpp

SRC += $(SDK_SRC)/common/service/media/tones.cpp
LAP_OBJS += $(OUTDIR)/obj/sdk_tones.o
$(OUTDIR)/obj/sdk_tones.o: $(SDK_SRC)/common/service/media/tones.cpp

SRC += $(SDK_SRC)/common/service/media/media_tones.cpp
LAP_OBJS += $(OUTDIR)/obj/sdk_media_tones.o
$(OUTDIR)/obj/sdk_media_tones.o: $(SDK_SRC)/common/service/media/media_tones.cpp
endif

SRC += $(SDK_SRC)/common/service/media/appsharing_endpoint.cpp
LAP_OBJS += $(OUTDIR)/obj/sdk_appsharing_endpoint.o
$(OUTDIR)/obj/sdk_appsharing_endpoint.o: $(SDK_SRC)/common/service/media/appsharing_endpoint.cpp

ifndef __NO_APPSHARING_IO__
SRC += $(SDK_SRC)/common/service/media/appsharing_io.cpp
LAP_OBJS += $(OUTDIR)/obj/sdk_appsharing_io.o
$(OUTDIR)/obj/sdk_appsharing_io.o: $(SDK_SRC)/common/service/media/appsharing_io.cpp

SRC += $(SDK_SRC)/common/service/media/screen_buffer.cpp
LAP_OBJS += $(OUTDIR)/obj/sdk_screen_buffer.o
$(OUTDIR)/obj/sdk_screen_buffer.o: $(SDK_SRC)/common/service/media/screen_buffer.cpp

SRC += $(SDK_SRC)/common/service/media/screen_sink.cpp
LAP_OBJS += $(OUTDIR)/obj/sdk_screen_sink.o
$(OUTDIR)/obj/sdk_screen_sink.o: $(SDK_SRC)/common/service/media/screen_sink.cpp
endif

SRC += $(SDK_SRC)/common/service/media/recording.cpp
LAP_OBJS += $(OUTDIR)/obj/sdk_recording.o
$(OUTDIR)/obj/sdk_recording.o: $(SDK_SRC)/common/service/media/recording.cpp